librevenge::RVNGBinaryDataProperty Class Reference documentation

Public Member Functions | Private Attributes | List of all members
librevenge::RVNGBinaryDataProperty Class Reference
Inheritance diagram for librevenge::RVNGBinaryDataProperty:

## Public Member Functions
| RVNGBinaryDataProperty (const RVNGBinaryData &data)
| RVNGBinaryDataProperty (const unsigned char *buffer, const unsigned long bufferSize)
| ~RVNGBinaryDataProperty ()
virtual int | getInt () const
virtual double | getDouble () const
virtual RVNGUnit | getUnit () const
| returns the property unit when possible.
virtual RVNGString | getStr () const
virtual RVNGProperty * | clone () const
Public Member Functions inherited from librevenge::RVNGProperty
virtual | ~RVNGProperty ()
virtual int | getInt () const =0
virtual double | getDouble () const =0
virtual RVNGUnit | getUnit () const =0
| returns the property unit when possible.
virtual RVNGString | getStr () const =0
virtual RVNGProperty * | clone () const =0

## Private Attributes
RVNGBinaryData | m_data

## Constructor & Destructor Documentation

## ◆ RVNGBinaryDataProperty() [1/2]

librevenge::RVNGBinaryDataProperty::RVNGBinaryDataProperty | ( | const RVNGBinaryData & | data | ) |

## ◆ RVNGBinaryDataProperty() [2/2]

librevenge::RVNGBinaryDataProperty::RVNGBinaryDataProperty | ( | const unsigned char * | buffer,
|  | const unsigned long | bufferSize
| ) |  |

## ◆ ~RVNGBinaryDataProperty()

librevenge::RVNGBinaryDataProperty::~RVNGBinaryDataProperty | ( |  | ) |
| inline

## Member Function Documentation

## ◆ clone()

RVNGProperty * librevenge::RVNGBinaryDataProperty::clone | ( |  | ) | const
| virtual

Implements librevenge::RVNGProperty.

## ◆ getDouble()

virtual double librevenge::RVNGBinaryDataProperty::getDouble | ( |  | ) | const
| inlinevirtual

Implements librevenge::RVNGProperty.

## ◆ getInt()

virtual int librevenge::RVNGBinaryDataProperty::getInt | ( |  | ) | const
| inlinevirtual

Implements librevenge::RVNGProperty.

## ◆ getStr()

RVNGString librevenge::RVNGBinaryDataProperty::getStr | ( |  | ) | const
| virtual

Implements librevenge::RVNGProperty.

## ◆ getUnit()

virtual RVNGUnit librevenge::RVNGBinaryDataProperty::getUnit | ( |  | ) | const
| inlinevirtual

returns the property unit when possible.

If not, returns RVNG_UNIT_ERROR

Implements librevenge::RVNGProperty.

## Member Data Documentation

## ◆ m_data

RVNGBinaryData librevenge::RVNGBinaryDataProperty::m_data
| private

Referenced by clone(), and getStr().

The documentation for this class was generated from the following file:

- RVNGProperty.cpp